#be-booking-form {
    width: 100%;
    max-width: 978px;
    margin: 0 auto 30px;
}

#tl-booking-cart {
    z-index: 1 !important;
}

#block-search,
#block-search * {
    box-sizing: border-box;
}

.block-search-wrapper {
    position: relative;
    padding: 15px 15px 75px;
}

#block-search {
    width: 100%;
    background: #ffffff;
    box-shadow: 2px 2px 20px 0 rgba(0, 0, 0, 0.07);
    border-radius: 8px;
}

#block-search.block-search--gallery {
    margin-top: 200px;
}

#block-search.block-search--brochure {
    margin-top: 120px;
}

.be-container {
    max-width: 1260px;
    margin: 0 auto;
    padding: 0 30px;
}

body:has(#be-booking-form) .footer-social,
.be-old-form,
.fit-vids-style,
.be-map {
    display: none !important;
}

.main-outer-wrapper.has-slider {
    margin-top: -65px !important;
}

@media screen and (min-width: 768px) and (max-width: 978px) {
    #block-search.block-search--gallery {
        margin-top: 280px;
    }

    #block-search.block-search--brochure {
        margin-top: 180px;
    }
}

@media screen and (min-width: 979px) {
    #block-search.block-search--gallery {
        margin-top: 160px;
    }

    #block-search.block-search--brochure {
        margin-top: 70px;
    }
}

@media screen and (min-width: 1280px) {
    .block-search-wrapper {
        padding: 0;
    }

    #block-search {
        position: fixed;
        bottom: 0;
        z-index: 100;
        background: rgba(255, 255, 255, 0.95);
        backdrop-filter: blur(20px);
        box-shadow: 0 -2px 20px 0 rgba(0, 0, 0, 0.07);
        border-radius: 0;
    }
}